QT       += network

TARGET = ExistQt
TEMPLATE = lib

SOURCES += \
    ServicePublisher.cpp \
    ExistMessage.pb.cc \
    EqNetworkThread.cpp

HEADERS +=\
    ServicePublisher.h \
    ExistMessage.pb.h \
    EqPreCompile.h \
    EqNetworkThread.h \
    ExistQtGlobal.h

export_header_files.path=/usr/include/ExistQt
export_header_files.files+=ServicePublisher.h \
  ExistQt_global.h \
  ExistMessage.pb.h \
    EqNetworkThread.h \
    EqPreCompile.h


unix:!symbian {
    maemo5 {
        target.path = /opt/usr/lib
    } else {
        target.path = /usr/lib
    }


    INSTALLS += target \
export_header_files

CONFIG+=precompile_header
PRECOMPILED_HEADER+=EqPreCompile.h

}



TRANSLATIONS+=Xy.ts

VERSION=2018.12.27

CONFIG+=c++11

QMAKE_CXXFLAGS+= -std=c++11

win32:CONFIG(release, debug|release): LIBS += -L$$PWD/../../../../../../ProgramFiles/vcpkg-master/packages/protobuf_x64-windows/debug/lib/ -llibprotobuf
else:win32:CONFIG(debug, debug|release): LIBS += -L$$PWD/../../../../../../ProgramFiles/vcpkg-master/packages/protobuf_x64-windows/debug/lib/ -llibprotobufd

win32:CONFIG(release, debug|release): LIBS += -L$$PWD/../../../../../../ProgramFiles/vcpkg-master/packages/protobuf_x64-windows/lib/ -llibprotobuf
else:win32:CONFIG(debug, debug|release): LIBS += -L$$PWD/../../../../../../ProgramFiles/vcpkg-master/packages/protobuf_x64-windows/lib/ -llibprotobufd

win32: INCLUDEPATH += $$PWD/../../../../../../ProgramFiles/vcpkg-master/packages/protobuf_x64-windows/include
win32: DEPENDPATH += $$PWD/../../../../../../ProgramFiles/vcpkg-master/packages/protobuf_x64-windows/include

DEFINES += EXIST_QT QAMQP_SHARED
